summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristophe Lyon <christophe.lyon@linaro.org>2016-02-04 11:09:58 +0100
committerChristophe Lyon <christophe.lyon@linaro.org>2016-02-04 14:15:40 +0100
commite007527a1ccf8588e694102adf2e8e8d6ea9dc7c (patch)
tree8928a8c50a817e3a22507ad80ef2289911072a04
parent906565ff43fa09895ae0b194f09c72e1636ec029 (diff)
Print hostname and cwd in the diff-* files.
This is to help finding the full logs when needed. Change-Id: I514bee440a910106ab55a920803e30b0552cca52
-rwxr-xr-xcompare_jobs.sh13
1 files changed, 9 insertions, 4 deletions
diff --git a/compare_jobs.sh b/compare_jobs.sh
index dfeb139..86a1931 100755
--- a/compare_jobs.sh
+++ b/compare_jobs.sh
@@ -220,10 +220,15 @@ do
class=no-change
color=lightgreen
message=PASSED
-
- [ -d "${build}" -a -d "${ref}" ] && ${mydir}/compare_tests -target ${target} \
- ${ref} ${build} >> ${mylog}
- ret=$?
+ ret=0
+
+ if [ -d "${build}" -a -d "${ref}" ]
+ then
+ printf "# Running on `hostname` in `pwd`\n" >> ${mylog}
+ ${mydir}/compare_tests -target ${target} \
+ ${ref} ${build} >> ${mylog}
+ ret=$?
+ fi
if [ ! -d "${ref}" ]; then
printf "\t# REF RESULTS NOT PRESENT: BUILD FAILED\n" >> ${mylog}
ret=5